import axios from 'axios'
const request = axios.create({
	baseURL: process.env.NODE_ENV === "development" ? "https://jpcj1.zzxcx.net/stage-api/":"https://jpcj.zzxcx.net/prod-api/",
});
request.interceptors.request.use((config) => {
	console.log(config)
	const token = window.localStorage.getItem("token")
	// 是否需要设置 token
	if (config.headers.isLogin == '1' || !token) {
		config.headers["Authorization"] = ""; // 让每个请求携带自定义token 请根据实际情况自行修改
	}
	else {
		config.headers["Authorization"] = ("Bearer " + token);
	}

	return config;
}, error => {
	console.log(error)

});
request.interceptors.response.use(res=>{
	return res.data

})
export default request